package cz.cvut.and.tutorial06;

import android.net.Uri;

public class Contract {

	private Contract() {
	}

	public static class Dictionary {
		public static final String CONTENT_TYPE = "vnd.android.cursor.dir/vnd.cz.cvut.and.tutorial06.dictionary";
		public static final String CONTENT_TYPE_ITEM = "vnd.android.cursor.item/vnd.cz.cvut.and.tutorial06.dictionary";

		public static final String TABLE_NAME = "dictionary";
		public static final String COLUMN_ID = "_id";
		public static final String COLUMN_WORD = "word";
		public static final String COLUMN_DEFINITION = "definition";

		public static final Uri CONTENT_URI = Uri.withAppendedPath(
				DictionaryProvider.CONTENT_URI, "words");

		private Dictionary() {
		}
	}
}
